Please select Into the mobile phone version | Continue to access the computer ver.
Do I have to update app and firmware?
2320 13 2017-1-30
Uploading and Loding Picture ...(0/1)
o(^-^)o
fansb08585c1
lvl.4

Denmark
Offline

Hello folks


I am using som old stuff! for my Phantom3pro.App 2.5 Aircraft 1.6.40 RC 1.5.7 ?? Don`t like to update - it always give me problems. Will it give me problems using Litchi



Best regards
Bo Jørgensen (Denmark)
2017-1-30
Use props
RedHotPoker
Captain
Flight distance : 165105 ft
Canada
Offline

Not sure about the drone you have, but firmware updates have never done me wrong.

If you ever have a mishap, and not on the latest upgrades, it may not fare well for you, with DJI.

It's always been recommended to keep your flight kit updated.


RedHotPoker
2017-1-30
Use props
Spacetrakker
Captain
Flight distance : 115299 ft
Australia
Offline

If your's works OK.......I would recommend leave it alone and forget the updates, specially if your drone is out of warranty. Many folks have tried to update and ended up up with a non functioning machine !

"if it ain't broke......don't try to fix it ! "

Cheers
2017-1-30
Use props
Steve-76
Second Officer

United States
Offline

i grounded my standard due to possibility of fly aways due to software glitch.
2017-1-30
Use props
Bhujang
Second Officer
Flight distance : 322867 ft
France
Offline

You don't have to but if you still have warranty left may effect it if you have an issue and didn't upgrade. I've left my p3p at 1.08 after hearing the horror stories of 1.10. My app,is fully updated by my RC and p3p with batteries is at 1.08. It flies great .
2017-1-30
Use props
uavsolutionsmai
lvl.4
Netherlands
Offline

If you're happy with the firmware, I advice you to stay in this setting. When you decide to upgrade wait untill the latest firmware is free from bugs!
2017-1-31
Use props
RicardoGray
Captain
Flight distance : 4356421 ft
United States
Offline

uavsolutionsmai Posted at 2017-1-31 03:48
If you're happy with the firmware, I advice you to stay in this setting. When you decide to upgrade wait untill the latest firmware is free from bugs!


I'm with RedHotPoker. Updates have never done me wrong either. Now, I do have issues with the app versions. I have rolled back to 2.9.1 and will stay there until they get the maps and stuff straightened out. I do try to use the latest app version, but Like I said, I didn't care for the last couple of newer version. Again, I always felt like the firmware should be up to date.

You asked about Litchi. The app is rock solid as far as I am concerned. I have been using it for several months now without issue. Back to the firmware, you need to look and see just what they added or changed in each one. sometimes it might be just a battery fix, or something like that. You do miss out I'm sure on certain bug-fixes they address too.
2017-1-31
Use props
Phantomski
Captain
Flight distance : 10289104 ft
United States
Offline

if ever need to fly in cold weather, or in no fly zone (after getting permission) you may be better off with some of the fixes in newer firmware, but over all you never HAVE to upgrade. Keep in mind though, you may be missing some minor functionality or fixes to known issues, as well, as eventually there may be compatibility issues with newer version of the mobile apps, that goes for GO as well as Litchi, and others that use the API.
I have chosen to upgrade, and it did not bite me yet, but yes, many pple do report issues after upgrades, and rarely manage to get to the bottom of the root cause....
It's just like in computers, yes, it's ok not to fix it when it's not broken.. but then again, not installing patches has impact from security, through functionality, to supportability.. So it's a risk/work/bug balance that you have to decide on.

2017-1-31
Use props
fansb08585c1
lvl.4

Denmark
Offline

RicardoGray Posted at 2017-1-31 09:26
I'm with RedHotPoker. Updates have never done me wrong either. Now, I do have issues with the app versions. I have rolled back to 2.9.1 and will stay there until they get the maps and stuff straightened out. I do try to use the latest app version, but Like I said, I didn't care for the last couple of newer version. Again, I always felt like the firmware should be up to date.

You asked about Litchi. The app is rock solid as far as I am concerned. I have been using it for several months now without issue. Back to the firmware, you need to look and see just what they added or changed in each one. sometimes it might be just a battery fix, or something like that. You do miss out I'm sure on certain bug-fixes they address too.

Litchy - help has this info:

Connecting Litchi to your drone

First, ensure you are using the latest DJI firmwares on both your RC and aircraft. You can update the firmware using DJI Go, or for some of the older aircraft models download them from dji.com. Then, depending on your platform, follow the steps below.

Is it a problem that I use the old firmware?!

Thanks :-)
2017-2-4
Use props
blackcrusader
First Officer
Flight distance : 689774 ft
Taiwan
Offline

RicardoGray Posted at 2017-1-31 09:26
I'm with RedHotPoker. Updates have never done me wrong either. Now, I do have issues with the app versions. I have rolled back to 2.9.1 and will stay there until they get the maps and stuff straightened out. I do try to use the latest app version, but Like I said, I didn't care for the last couple of newer version. Again, I always felt like the firmware should be up to date.

You asked about Litchi. The app is rock solid as far as I am concerned. I have been using it for several months now without issue. Back to the firmware, you need to look and see just what they added or changed in each one. sometimes it might be just a battery fix, or something like that. You do miss out I'm sure on certain bug-fixes they address too.

I am also using the latest firmware and App with no issues.
2017-2-4
Use props
fans8e7ce689
lvl.3
Flight distance : 183054 ft
United Kingdom
Offline


I  installed an earlier version of DJI Go app to get google maps back and it worked. The day after  when I started DJIGo, I get a message in a big black background saying    "  Tips...   Your app must be updated to the latest version " And two choices of sites to download it from, it won't allow me to select anything else.
HERE maps are completely useless to me as the place where I like to fly most is covered by a huge cloud so no ground visible on the satelite view at all.
I havent  owned this drone for a year yet so considering going for a refund as it has become unfit for the purpose it was bought for.
2017-2-10
Use props
fansb08585c1
lvl.4

Denmark
Offline

uavsolutionsmai Posted at 2017-1-31 03:48
If you're happy with the firmware, I advice you to stay in this setting. When you decide to upgrade wait untill the latest firmware is free from bugs!

:-)
Will that ever happend??
2017-2-27
Use props
fans987d278a
Second Officer
Flight distance : 124180 ft
Canada
Offline

fansb08585c1 Posted at 2017-2-27 05:07
:-)
Will that ever happend??

LOL !
I fly litchi almost every flight, I;m on old firmware, about 5 months old, She flys just beautifully,  with no issues whatsover, so as stated above
If it ain;t broke don't fix it!
2017-2-27
Use props
fans9865fdf8
lvl.2
Flight distance : 4455 ft
United Kingdom
Offline

I always thought you had to update after a certain time or DJI could restrict your flying distances.
is this not true???
how would I stop It saying requires update every time you turn it on???
2017-11-18
Use props
Advanced
You need to log in before you can reply Login | Register now

Credit Rules